Package docking

# Class DockingMouseBindingAction

java.lang.Object
javax.swing.AbstractAction
docking.DockingMouseBindingAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

public class DockingMouseBindingAction extends AbstractAction
A class for using actions associated with mouse bindings. This class is meant to only by used by internal Ghidra mouse event processing.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractAction

  `changeSupport, enabled`

  ### Fields inherited from interface javax.swing.Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DockingMouseBindingAction(DockingActionIf action, MouseBinding mouseBinding)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  `String`
  `getFullActionName()`
  `boolean`
  `isEnabled()`
  `String`
  `toString()`

  ### Methods inherited from class javax.swing.AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javax.swing.Action

  `accept`

- ## Constructor Details

  - ### DockingMouseBindingAction

    public DockingMouseBindingAction(DockingActionIf action, MouseBinding mouseBinding)

- ## Method Details

  - ### getFullActionName

    public String getFullActionName()

  - ### isEnabled

    public boolean isEnabled()
    Specified by:
      `isEnabled` in interface `Action`
    Overrides:
      `isEnabled` in class `AbstractAction`

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`